Subject: Truth in Advertising

From: [email-masked] (Yana Kane-Esrig)
Date: 8 Feb 89 00:30:06 GMT

A tourist in a strange town notices that her watch is broken. She starts
looking for a repair shop. After a long and frustrating search she
finds herself in an area where many shop signs are in Hebrew. Finally,
she notices that one of the stores has all kinds of clocks and watches
ticking merrily in the window. She walks into the shop and puts her watch
on the counter in front of the proprietor.

Tourist: "would you please repair this watch."

Proprietor: "Madam, I cannot repair your watch."

T: "But why not? It is an ordinary model"

P: "Madam, I do not repair watches. I am a moel, I perform circumcisions"

T (irritated): "Then why on earth do you have all these clocks in your window?"

P: "Well, and what should I have in my window?"
--